


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

# Review: https://bugzilla.redhat.com/show_bug.cgi?id=567257

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Name      : libfm-extra
Version   : 1.2.3
Release   : 1%{?dist}
Summary   : GIO-based library for file manager-like programs

Group     : System Environment/Libraries
License   : GPLv2+

URL       : http://pcmanfm.sourceforge.net/

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Source0 : http://downloads.sourceforge.net/pcmanfm/libfm-%{version}.tar.xz

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

BuildRequires :  gtk2-devel

BuildRequires :  intltool >= 0.40.0

BuildRequires :  desktop-file-utils

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Requires(post)   : /sbin/ldconfig

Requires(postun) : /sbin/ldconfig

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description

LibFM is a GIO-based library used to develop file manager-like programs.
It is developed as the core of next generation PCManFM and takes care of all file-related operations such as copy & paste, drag & drop, file associations or thumbnails support.
By utilizing glib/gio and gvfs,
libfm can access remote file systems supported by gvfs.

This package contains the generic non-gui functions of libfm.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%prep

%setup -q -n libfm-%{version}



# treak rpath
sed -i.libdir_syssearch                                                            \
    -e '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
    configure

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%build

%configure             \
--enable-udisks        \
--with-extra-only      \
--with-gtk=no          \
--disable-actions      \
--disable-exif         \
--disable-static       \
--disable-nls          \
--disable-gtk-doc-html \
--disable-silent-rules



echo '------{?_smp_mflags}       = '"%{?_smp_mflags}"

make %{?_smp_mflags} -k

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%install

echo '------${RPM_BUILD_ROOT}    = '"${RPM_BUILD_ROOT}"

echo '------{?dist}              = '"%{?dist}"

echo '------{buildroot}          = '"%{buildroot}"

echo '------{_bindir}            = '"%{_bindir}"

echo '------{_sysconfdir}        = '"%{_sysconfdir}"

echo '------{_includedir}        = '"%{_includedir}"

echo '------{_libdir}            = '"%{_libdir}"

echo '------{_datadir}           = '"%{_datadir}"

echo '------{_docdir}            = '"%{_docdir}"

echo '------{_infodir}           = '"%{_infodir}"

echo '------{_mandir}            = '"%{_mandir}"



make install DESTDIR=${RPM_BUILD_ROOT} INSTALL='install -p'



rm -frv                          \
${RPM_BUILD_ROOT}%{_docdir}      \
${RPM_BUILD_ROOT}%{_infodir}     \
${RPM_BUILD_ROOT}%{_mandir}      \
${RPM_BUILD_ROOT}%{_libdir}/*.la

find ${RPM_BUILD_ROOT} -name '*.la' -exec rm -fv {} ';'



/usr/lib/rpm/check-rpaths

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%check

# make check

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%pre

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%post

/sbin/ldconfig

touch --no-create %{_datadir}/mime/packages &> /dev/null || :

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%postun

/sbin/ldconfig

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%posttrans

echo '------{?fedora:-n}         = '"%{?fedora:-n}"

update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files

%defattr(-,root,root,-)

# %{_includedir}
# %{_libdir}



# %{_includedir}/libfm -> libfm-1.0/

# %{_includedir}/libfm-1.0/fm-extra.h
# %{_includedir}/libfm-1.0/fm-version.h
# %{_includedir}/libfm-1.0/fm-xml-file.h



# %{_libdir}/%{name}.so   -> %{name}.so.4.0.3
# %{_libdir}/%{name}.so.4 -> %{name}.so.4.0.3
# %{_libdir}/%{name}.so.4.0.3

# %{_libdir}/pkgconfig/%{name}.pc



%{_includedir}/libfm

%{_includedir}/libfm-1.0/fm-extra.h
%{_includedir}/libfm-1.0/fm-version.h
%{_includedir}/libfm-1.0/fm-xml-file.h



%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.4
%{_libdir}/%{name}.so.4.0.3

%{_libdir}/pkgconfig/%{name}.pc

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%changelog